org.apache.cassandra.index.sasi.memory

## Class TrieMemIndex

- java.lang.Object
- - org.apache.cassandra.index.sasi.memory.MemIndex
  - - org.apache.cassandra.index.sasi.memory.TrieMemIndex

    public class TrieMemIndex
    extends MemIndex

### Nested Class Summary

Nested Classes
`protected static class` `TrieMemIndex.ConcurrentPrefixTrie`
`protected static class` `TrieMemIndex.ConcurrentSuffixTrie`

### Field Summary

### Fields inherited from class org.apache.cassandra.index.sasi.memory.MemIndex

`columnIndex, keyValidator`

### Constructor Summary

Constructors
Constructor and Description
`TrieMemIndex(AbstractType<?> keyValidator, ColumnIndex columnIndex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `add(DecoratedKey key, java.nio.ByteBuffer value)`
`RangeIterator<java.lang.Long,Token>` `search(Expression expression)`

### Methods inherited from class org.apache.cassandra.index.sasi.memory.MemIndex

`forColumn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrieMemIndex

    public TrieMemIndex(AbstractType<?> keyValidator,
                        ColumnIndex columnIndex)

### Method Detail

#### add

    public long add(DecoratedKey key,
                    java.nio.ByteBuffer value)

Specified by:
  `add` in class `MemIndex`

#### search

    public RangeIterator<java.lang.Long,Token> search(Expression expression)

Specified by:
  `search` in class `MemIndex`